package com.kcim.service;

import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * @program: CostAccount
 * @description: 人事成本数据导入service
 * @author: Wang.YS
 * @create: 2023-10-18 19:26
 **/
public interface EmpCostImportService {
    /**
     * 月度信息采集-人事成本数据导入-获取导入列表
     * @param current 当前页
     * @param pageSize 页容量
     * @param computeDate 核算年月
     * @param filter 过滤条件 工号/姓名
     * @return 导入列表
     */
    Object getEmpCostList(Integer current, Integer pageSize, String computeDate, String filter);

    /**
     * 月度信息采集-人事成本数据导入-获取导出模版
     * @param response 出参
     * @return 出参
     */
    Object exportEmpCostList(HttpServletResponse response) ;

    /**
     * 月度信息采集-人事成本数据导入-导入数据
     * @param computeDate 核算年月
     * @param file 文件
     *
     */
    void importEmpCostList(String computeDate, MultipartFile file);

    void removeEmpCost(String computeDate);

    void removeEmpCostByFileId(String computeDate,Long fileId);

    void reducingEmpCostByFileId(String computeDate,Long fileId);
}
